Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1364062 - [TEXT] - After remote DWH install prompt user to restart engine explaining that dashboard will not work until this is done.
Summary: [TEXT] - After remote DWH install prompt user to restart engine explaining th...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine-dwh
Classification: oVirt
Component: Setup
Version: 4.0.2
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: ovirt-4.0.6
: 4.0.6
Assignee: Yedidyah Bar David
QA Contact: Lukas Svaty
URL:
Whiteboard:
Depends On:
Blocks: 1401304
TreeView+ depends on / blocked
 
Reported: 2016-08-04 12:12 UTC by Petr Kubica
Modified: 2017-05-11 09:24 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-18 07:25:23 UTC
oVirt Team: Integration
rule-engine: ovirt-4.0.z+
ylavi: planning_ack+
sbonazzo: devel_ack+
pstehlik: testing_ack+


Attachments (Terms of Use)
dwh log (deleted)
2016-08-04 12:17 UTC, Petr Kubica
no flags Details
engine-logs (deleted)
2016-08-04 12:18 UTC, Petr Kubica
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 67109 master MERGED packaging: setup: Notify to restart remote engine 2016-11-22 07:41:35 UTC
oVirt gerrit 67153 ovirt-engine-dwh-4.0 MERGED packaging: setup: Notify to restart remote engine 2016-11-28 08:44:16 UTC

Description Petr Kubica 2016-08-04 12:12:27 UTC
Description of problem:
Service ovirt-engine need to be restarted after installing DWH on separate host,. : Could not fetch dashboard data

ERROR [org.ovirt.engine.ui.frontend.server.dashboard.DashboardDataServlet] (default task-30) [] Unable to retrieve d
ashboard data: org.ovirt.engine.ui.frontend.server.dashboard.DashboardDataException: Error while running SQL query

IJ000453: Unable to get managed connection for java:/DWHDataSource
IJ031084: Unable to create connection

Version-Release number of selected component (if applicable):
ovirt-engine-dwh-4.0.2-1.el7ev.noarch
ovirt-engine-dashboard-1.0.1-0.el7ev.x86_64
4.0.2-3

How reproducible:
100%

Steps to Reproduce:
1. engine-setup of engine (without only DWH)
2. engine-setup of dwh (only DWH)
3. open webadmin and check dashboard
4. restarting engine solve the problem

Actual results:
Error!
Could not fetch dashboard data. Please ensure that data warehouse is properly installed and configured.

Expected results:
Should works on first time

Additional info:
Attached logs from engine and dwh

Comment 1 Petr Kubica 2016-08-04 12:17:56 UTC
Created attachment 1187466 [details]
dwh log

Comment 2 Petr Kubica 2016-08-04 12:18:19 UTC
Created attachment 1187467 [details]
engine-logs

Comment 3 Yedidyah Bar David 2016-08-04 14:08:52 UTC
If the intention is that the engine will monitor configuration files and reload them if changed, please open a bug on the engine. Otherwise, an engine restart is required.

When setting up dwh, you were asked about how to access the engine machine, and was offered two choices - using ssh as root or manual. If user chooses root_ssh, we can restart the engine automatically, but probably want to ask the user to confirm that.

Comment 4 Yedidyah Bar David 2016-08-04 14:11:25 UTC
Yaniv - please ack comment 3 and change subject accordingly. Thanks.

Comment 5 Yaniv Lavi 2016-08-10 11:55:28 UTC
(In reply to Yedidyah Bar David from comment #3)
> If the intention is that the engine will monitor configuration files and
> reload them if changed, please open a bug on the engine. Otherwise, an
> engine restart is required.

This is correct and a bug like this should be opened.

> 
> When setting up dwh, you were asked about how to access the engine machine,
> and was offered two choices - using ssh as root or manual. If user chooses
> root_ssh, we can restart the engine automatically, but probably want to ask
> the user to confirm that.

I'm changing to a text bug to request the admin to restart the engine to got to the new DWH installation. We will not do this for him.

Comment 6 Lukas Svaty 2016-12-16 13:35:43 UTC
[ INFO  ] Starting dwh service
          Please restart the engine by running the following on 10-34-60-45.rhev.lab.eng.brq.redhat.com :
          # service ovirt-engine restart
          This is required for the dashboard to work.
         
          --== END OF SUMMARY ==--
         
[ INFO  ] Stage: Clean up

verified in ovirt-engine-dwh-setup-4.0.6-1.el7ev.noarch


Note You need to log in before you can comment on or make changes to this bug.